Bug 657780 - Unable to create new recipe in gourmet-0.15.6-3.fc14.noarch.rpm
Summary: Unable to create new recipe in gourmet-0.15.6-3.fc14.noarch.rpm
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gourmet
Version: 14
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
Assignee: Jef Spaleta
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-27 20:43 UTC by Gary Alsop
Modified: 2010-12-12 20:05 UTC (History)
1 user (show)

Fixed In Version: gourmet-0.15.6-4.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-12 20:05:10 UTC


Attachments (Terms of Use)
Terminal output from when Gourmet hangs. (2.15 KB, text/plain)
2010-11-27 20:43 UTC, Gary Alsop
no flags Details
Patch to fix backend DB related exception (1.04 KB, patch)
2010-12-01 06:08 UTC, Jeff Raber
no flags Details | Diff

Description Gary Alsop 2010-11-27 20:43:58 UTC
Created attachment 463275 [details]
Terminal output from when Gourmet hangs.

In testing version of gourmet-0.15.6-3.fc14.noarch.rpm I am not able to create a new recipe.  This happens whether I use an existing .gourmet directory or not.  Gourmet does not crash but it seems to freeze when I click File -> New.  See attached Gourmet.txt for output from terminal when it hangs.

Steps to Reproduce: 

    1) Install testing package gourmet-0.15.6-3.fc14.noarch.rpm 
    2) Launch Gourmet
    3) Click File -> New

Actual Results: 

    Nothing happens.  Mouse cursor just spins.

Expected Results: 

    New Recipe editor should open.

Build Date & Platform: 

    Build gourmet-0.15.6-3.fc14.noarch.rpm on Fedora 14 x86_64

Additional Builds and Platforms: 

    Not tested.

Additional Information: This happens with or without an existing .gourmet directory.

Comment 1 Jeff Raber 2010-12-01 06:08:13 UTC
Created attachment 463908 [details]
Patch to fix backend DB related exception

Gary,
   Thanks for filing such a good bug report.  I can confirm/reproduce this issue.

This could be another sqlalchemy related issue.  The attached patch fixes this error for me in F14.

I have submitted this patch upstream:
https://sourceforge.net/tracker/?func=detail&aid=3124276&group_id=108118&atid=649654

Comment 2 Gary Alsop 2010-12-03 12:36:00 UTC
(In reply to comment #1)
> Created attachment 463908 [details]
> Patch to fix backend DB related exception
> 
> Gary,
>    Thanks for filing such a good bug report.  I can confirm/reproduce this
> issue.
> 
> This could be another sqlalchemy related issue.  The attached patch fixes this
> error for me in F14.
> 
> I have submitted this patch upstream:
> https://sourceforge.net/tracker/?func=detail&aid=3124276&group_id=108118&atid=649654

Thank you, Jeff.  This patch fixes the issue in F14 for me as well.

Comment 3 Fedora Update System 2010-12-04 00:42:10 UTC
gourmet-0.15.6-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/gourmet-0.15.6-4.fc14

Comment 4 Fedora Update System 2010-12-05 00:40:31 UTC
gourmet-0.15.6-4.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gourmet'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/gourmet-0.15.6-4.fc14

Comment 5 Fedora Update System 2010-12-12 20:04:55 UTC
gourmet-0.15.6-4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.